import * as React from 'react';
import { useQuery } from '@tanstack/react-query';
import { ReactQueryDevtools } from '@tanstack/react-query-devtools';

interface ReactQueryContainerProps {
    children: React.ReactNode;
    result: ReturnType<typeof useQuery> | Array<ReturnType<typeof useQuery>>;
    loadingColor?: string;
}
declare const ReactQueryContainer: React.FC<ReactQueryContainerProps>;

interface ReactQueryClientProviderPrpops {
    children: React.ReactNode;
    position: Parameters<typeof ReactQueryDevtools>['0']['position'];
}
declare const ReactQueryClientProvider: React.FC<ReactQueryClientProviderPrpops>;

export { ReactQueryClientProvider, ReactQueryContainer };
